Subject: Re: bug#18912: 24.4; mode-line corruption on graphical frames in dual-headed display

From: Andreas Schwab <[email-masked]>
Date: Wed, 05 Nov 2014 10:17:18 +0100

Stefan Monnier <[email-masked]> writes:

>> Moreover, the fact that running xrefresh, which is not an Emacs
>> command, fixes the display is yet another argument against this
>> hypothesis.  xrefresh doesn't communicate with Emacs, so the only way
>> it could fix the display is if the data supplied by Emacs was correct.
>
> Actually xrefresh does (indirectly) communicate with Emacs, IIRC, since
> it causes the X server to generate "expose" events to redraw everything.

That doesn't mean that the X server (or the compositor) has to ask the
application to redraw the window contents, it may be reusing an
off-screen copy of it.

Andreas.

-- 
Andreas Schwab, SUSE Labs, [email-masked]
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."